#include <fcntl.h>
#include <stdio.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <unistd.h>
#define check(n, str) if (n == -1) { perror(str); return 1; }
#define TEST_FNAME "__utest"

int main() {
        struct stat s = {0};
        const struct timeval tv[] = { {0, 1000}, {0, 1000} };
        int fd = open(TEST_FNAME, O_CREAT, 0644);
        check(fd, "open")
        check(close(fd), "close")
        check(utimes(TEST_FNAME, tv), "utimes");
        check(stat(TEST_FNAME, &s), "stat");
        printf("Modified second: %d\n", s.st_mtim.tv_sec);
        printf("Modified nanosec: %d\n", s.st_mtim.tv_nsec);
        return 0;
}
